Debian Bug report logs - #439322
xserver-xorg-video-ati: wrongly detects TV connected on Xpress 200M, causing VGA to miss a CRTC

version graph

Package: xserver-xorg-video-ati; Maintainer for xserver-xorg-video-ati is Debian X Strike Force <debian-x@lists.debian.org>; Source for xserver-xorg-video-ati is src:xserver-xorg-video-ati.

Reported by: Marcus Better <marcus@better.se>

Date: Fri, 24 Aug 2007 08:21:01 UTC

Severity: normal

Tags: fixed-upstream, upstream

Found in versions xserver-xorg-video-ati/1:6.7.191-1, xserver-xorg-video-ati/1:6.7.192-1, xserver-xorg-video-ati/1:6.7.192-3

Fixed in version xserver-xorg-video-ati/1:6.7.193-1

Done: Brice Goglin <bgoglin@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#439322; Package xserver-xorg-video-ati. Full text and rfc822 format available.

Acknowledgement sent to Marcus Better <marcus@better.se>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marcus Better <marcus@better.se>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xserver-xorg-video-ati: xrandr does not detect VGA monitor
Date: Fri, 24 Aug 2007 10:15:30 +0200
Package: xserver-xorg-video-ati
Version: 1:6.7.191-1
Severity: normal

I am trying to enable an external VGA monitor for dual-head on my LG
LE50 Express laptop (Radeon Xpress 200M), but cannot seem to configure
it with xrandr:

~$ xrandr
Screen 0: minimum 320 x 200, current 1024 x 768, maximum 2048 x 768
VGA-0 disconnected (normal left inverted right x axis y axis)
LVDS connected 1024x768+0+0 (normal left inverted right x axis y axis) 0mm x 0mm
   1024x768       60.0*+
   800x600        60.3
   640x480        59.9
S-video disconnected 800x600+0+0 (normal left inverted right x axis y axis) 0mm x 0mm
  800x600 (0x4b)   38.2MHz
        h: width   800 start  832 end  912 total 1024 skew    0 clock   37.4KHz
        v: height  600 start  603 end  607 total  624           clock   59.9Hz

~$ xrandr --output VGA-0 --mode 1024x768 --right-of LVDS
xrandr: cannot find mode 1024x768

-- Package-specific info:
Contents of /var/lib/x11/X.roster:
xserver-xorg

/etc/X11/X target does not match checksum in /var/lib/x11/X.md5sum.

X server symlink status:
lrwxrwxrwx 1 root root 13 2007-08-21 14:52 /etc/X11/X -> /usr/bin/Xorg
-rwxr-xr-x 1 root root 1669784 2007-08-19 19:25 /usr/bin/Xorg

Contents of /var/lib/x11/xorg.conf.roster:
xserver-xorg

VGA-compatible devices on PCI bus:
01:05.0 VGA compatible controller: ATI Technologies Inc RS400 [Radeon Xpress 200M]

/etc/X11/xorg.conf does not match checksum in /var/lib/x11/xorg.conf.md5sum.

Xorg X server configuration file status:
-rw-r--r-- 1 root root 2005 2007-08-24 10:04 /etc/X11/xorg.conf

Contents of /etc/X11/xorg.conf:
# xorg.conf (xorg X Window System server configuration file)
#
# This file was generated by dexconf, the Debian X Configuration tool, using
# values from the debconf database.
#
# Edit this file with caution, and see the xorg.conf manual page.
# (Type "man xorg.conf" at the shell prompt.)
#
# This file is automatically updated on xserver-xorg package upgrades *only*
# if it has not been modified since the last upgrade of the xserver-xorg
# package.
#
# If you have edited this file but would like it to be automatically updated
# again, run the following command:
#   sudo dpkg-reconfigure -phigh xserver-xorg

Section "Files"
EndSection

Section "Extensions"
	Option "Composite" "enable"
EndSection

Section "InputDevice"
	Identifier	"Generic Keyboard"
	Driver		"kbd"
	Option		"CoreKeyboard"
	Option		"XkbRules"	"xorg"
	Option		"XkbModel"	"pc105"
	Option		"XkbLayout"	"se"
EndSection

Section "InputDevice"
	Identifier	"Configured Mouse"
	Driver		"mouse"
	Option		"CorePointer"
	Option		"Device"		"/dev/input/mice"
	Option		"Protocol"		"ImPS/2"
	Option		"Emulate3Buttons"	"true"
EndSection

#Section "InputDevice"
#	Identifier	"Synaptics Touchpad"
#	Driver		"synaptics"
#	Option		"SendCoreEvents"	"true"
#	Option		"Device"		"/dev/psaux"
#	Option		"Protocol"		"auto-dev"
#	Option		"HorizScrollDelta"	"0"
#EndSection

Section "Device"
	Identifier	"ATI Technologies Inc RS400 [Radeon Xpress 200M]"
	Driver		"ati"
	BusID		"PCI:1:5:0"
	Option		"DRI" "off"
#	Option		"MonitorLayout" "LVDS, CRT"
EndSection

Section "Monitor"
	Identifier	"Allmn skrm"
	Option		"DPMS"
EndSection

Section "Screen"
	Identifier	"Default Screen"
	Device		"ATI Technologies Inc RS400 [Radeon Xpress 200M]"
	Monitor		"Allmn skrm"
	DefaultDepth	24
	SubSection "Display"
		Virtual 2048 768
		Modes	"1024x768"
	EndSubSection
EndSection

Section "ServerLayout"
	Identifier	"Default Layout"
	Screen		"Default Screen"
	InputDevice	"Generic Keyboard"
	InputDevice	"Configured Mouse"
#	InputDevice	"Synaptics Touchpad"
EndSection


Xorg X server log files on system:
-rw-r--r-- 1 root root 44802 2007-08-24 10:08 /var/log/Xorg.0.log

Contents of most recent Xorg X server log file
/var/log/Xorg.0.log:

X Window System Version 7.2.0
Release Date: 21 December 2005
X Protocol Version 11, Revision 0, Release 7.2
Build Operating System: Linux Debian (xorg-server 2:1.3.99.0-2)
Current Operating System: Linux better 2.6.23-rc3-lg #3 PREEMPT Thu Aug 23 06:02:54 GMT 2007 i686
Build Date: 19 August 2007  01:09:55PM
 
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Fri Aug 24 10:04:41 2007
(==) Using config file: "/etc/X11/xorg.conf"
(==) ServerLayout "Default Layout"
(**) |-->Screen "Default Screen" (0)
(**) |   |-->Monitor "Allmän skärm"
(**) |   |-->Device "ATI Technologies Inc RS400 [Radeon Xpress 200M]"
(**) |-->Input Device "Generic Keyboard"
(**) |-->Input Device "Configured Mouse"
(==) Automatically adding devices
(==) Automatically enabling devices
(WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
	Entry deleted from font path.
(WW) `fonts.dir' not found (or not valid) in "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType".
	Entry deleted from font path.
	(Run 'mkfontdir' on "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType").
(==) FontPath set to:
	/usr/share/fonts/X11/misc,
	/usr/share/fonts/X11/100dpi/:unscaled,
	/usr/share/fonts/X11/75dpi/:unscaled,
	/usr/share/fonts/X11/Type1,
	/usr/share/fonts/X11/100dpi,
	/usr/share/fonts/X11/75dpi
(==) RgbPath set to "/etc/X11/rgb"
(==) ModulePath set to "/usr/lib/xorg/modules"
(**) Extension "Composite" is enabled
(II) Open ACPI successful (/var/run/acpid.socket)
(II) Loader magic: 0x81d7e20
(II) Module ABI versions:
	X.Org ANSI C Emulation: 0.3
	X.Org Video Driver: 2.0
	X.Org XInput driver : 2.0
	X.Org Server Extension : 0.3
	X.Org Font Renderer : 0.5
(II) Loader running on linux
(II) LoadModule: "pcidata"
(II) Loading /usr/lib/xorg/modules//libpcidata.so
(II) Module pcidata: vendor="X.Org Foundation"
	compiled for 7.2.0, module version = 1.0.0
	ABI class: X.Org Video Driver, version 2.0
(++) using VT number 7

(II) PCI: PCI scan (all values are in hex)
(II) PCI: 00:00:0: chip 1002,5a31 card 1854,0023 rev 01 class 06,00,00 hdr 00
(II) PCI: 00:01:0: chip 1002,5a3f card 0000,0000 rev 00 class 06,04,00 hdr 01
(II) PCI: 00:07:0: chip 1002,5a39 card 0000,0000 rev 00 class 06,04,00 hdr 01
(II) PCI: 00:13:0: chip 1002,4374 card 1854,0023 rev 80 class 0c,03,10 hdr 80
(II) PCI: 00:13:1: chip 1002,4375 card 1854,0023 rev 80 class 0c,03,10 hdr 00
(II) PCI: 00:13:2: chip 1002,4373 card 1854,0023 rev 80 class 0c,03,20 hdr 00
(II) PCI: 00:14:0: chip 1002,4372 card 1854,0023 rev 81 class 0c,05,00 hdr 80
(II) PCI: 00:14:1: chip 1002,4376 card 1854,0023 rev 80 class 01,01,8a hdr 00
(II) PCI: 00:14:2: chip 1002,437b card 1854,0023 rev 01 class 04,03,00 hdr 00
(II) PCI: 00:14:3: chip 1002,4377 card 1854,0023 rev 80 class 06,01,00 hdr 80
(II) PCI: 00:14:4: chip 1002,4371 card 0000,0000 rev 80 class 06,04,01 hdr 81
(II) PCI: 01:05:0: chip 1002,5a42 card 1854,0023 rev 00 class 03,00,00 hdr 00
(II) PCI: 02:00:0: chip 11ab,4351 card 1854,0023 rev 12 class 02,00,00 hdr 00
(II) PCI: 08:00:0: chip 104c,8031 card 2000,0000 rev 00 class 06,07,00 hdr 82
(II) PCI: 08:00:2: chip 104c,8032 card 1854,0023 rev 00 class 0c,00,10 hdr 80
(II) PCI: 08:00:3: chip 104c,8033 card 1854,0023 rev 00 class 01,80,00 hdr 80
(II) PCI: 08:00:4: chip 104c,8034 card 1854,0023 rev 00 class 08,05,00 hdr 80
(II) PCI: 08:02:0: chip 1814,0201 card 18e8,6146 rev 01 class 02,80,00 hdr 00
(II) PCI: End of PCI scan
(II) Host-to-PCI bridge:
(II) Bus 0: bridge is at (0:0:0), (0,0,9), BCTRL: 0x0008 (VGA_EN is set)
(II) Bus 0 I/O range:
	[0] -1	0	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus 0 non-prefetchable memory range:
	[0] -1	0	0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 0 prefetchable memory range:
	[0] -1	0	0x00000000 - 0xffffffff (0x0) MX[B]
(II) PCI-to-PCI bridge:
(II) Bus 1: bridge is at (0:1:0), (0,1,1), BCTRL: 0x000c (VGA_EN is set)
(II) Bus 1 I/O range:
	[0] -1	0	0x00009000 - 0x000090ff (0x100) IX[B]
	[1] -1	0	0x00009400 - 0x000094ff (0x100) IX[B]
	[2] -1	0	0x00009800 - 0x000098ff (0x100) IX[B]
	[3] -1	0	0x00009c00 - 0x00009cff (0x100) IX[B]
(II) Bus 1 non-prefetchable memory range:
	[0] -1	0	0xc0100000 - 0xc01fffff (0x100000) MX[B]
(II) Bus 1 prefetchable memory range:
	[0] -1	0	0xd0000000 - 0xdfffffff (0x10000000) MX[B]
(II) PCI-to-PCI bridge:
(II) Bus 2: bridge is at (0:7:0), (0,2,7), BCTRL: 0x0004 (VGA_EN is cleared)
(II) Bus 2 I/O range:
	[0] -1	0	0x0000a000 - 0x0000a0ff (0x100) IX[B]
	[1] -1	0	0x0000a400 - 0x0000a4ff (0x100) IX[B]
	[2] -1	0	0x0000a800 - 0x0000a8ff (0x100) IX[B]
	[3] -1	0	0x0000ac00 - 0x0000acff (0x100) IX[B]
(II) Bus 2 non-prefetchable memory range:
	[0] -1	0	0xc0200000 - 0xc02fffff (0x100000) MX[B]
(II) PCI-to-ISA bridge:
(II) Bus -1: bridge is at (0:20:3), (0,-1,-1), BCTRL: 0x0008 (VGA_EN is set)
(II) Subtractive PCI-to-PCI bridge:
(II) Bus 8: bridge is at (0:20:4), (0,8,14), BCTRL: 0x0002 (VGA_EN is cleared)
(II) Bus 8 I/O range:
	[0] -1	0	0x00002000 - 0x00002fff (0x1000) IX[B]
(II) Bus 8 non-prefetchable memory range:
	[0] -1	0	0xc0300000 - 0xc03fffff (0x100000) MX[B]
(II) Bus 8 prefetchable memory range:
	[0] -1	0	0x60000000 - 0x63ffffff (0x4000000) MX[B]
(II) PCI-to-CardBus bridge:
(II) Bus 9: bridge is at (8:0:0), (8,9,12), BCTRL: 0x05c0 (VGA_EN is cleared)
(II) Bus 9 I/O range:
	[0] -1	0	0x00002000 - 0x000020ff (0x100) IX[B]
	[1] -1	0	0x00002400 - 0x000024ff (0x100) IX[B]
(II) Bus 9 prefetchable memory range:
	[0] -1	0	0x60000000 - 0x63ffffff (0x4000000) MX[B]
(--) PCI:*(1:5:0) ATI Technologies Inc RS400 [Radeon Xpress 200M] rev 0, Mem @ 0xd0000000/28, 0xc0100000/16, I/O @ 0x9000/8
(II) Addressable bus resource ranges are
	[0] -1	0	0x00000000 - 0xffffffff (0x0) MX[B]
	[1] -1	0	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) OS-reported resource ranges:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[5] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
(II) Active PCI resource ranges:
	[0] -1	0	0xc0306000 - 0xc0307fff (0x2000) MX[B]
	[1] -1	0	0xc0309800 - 0xc03098ff (0x100) MX[B]
	[2] -1	0	0xc0309c00 - 0xc0309cff (0x100) MX[B]
	[3] -1	0	0xc030a000 - 0xc030a0ff (0x100) MX[B]
	[4] -1	0	0xc0304000 - 0xc0305fff (0x2000) MX[B]
	[5] -1	0	0xc0300000 - 0xc0303fff (0x4000) MX[B]
	[6] -1	0	0xc0309000 - 0xc03097ff (0x800) MX[B]
	[7] -1	0	0xc0200000 - 0xc0203fff (0x4000) MX[B]
	[8] -1	0	0xc0000000 - 0xc0003fff (0x4000) MX[B]
	[9] -1	0	0xc0007000 - 0xc00073ff (0x400) MX[B]
	[10] -1	0	0xc0006000 - 0xc0006fff (0x1000) MX[B]
	[11] -1	0	0xc0005000 - 0xc0005fff (0x1000) MX[B]
	[12] -1	0	0xc0004000 - 0xc0004fff (0x1000) MX[B]
	[13] -1	0	0xc0100000 - 0xc010ffff (0x10000) MX[B](B)
	[14] -1	0	0xd0000000 - 0xdfffffff (0x10000000) MX[B](B)
	[15] -1	0	0x0000a000 - 0x0000a0ff (0x100) IX[B]
	[16] -1	0	0x00008410 - 0x0000841f (0x10) IX[B]
	[17] -1	0	0x00000374 - 0x00000374 (0x1) IX[B]
	[18] -1	0	0x00000170 - 0x00000177 (0x8) IX[B]
	[19] -1	0	0x000003f4 - 0x000003f4 (0x1) IX[B]
	[20] -1	0	0x000001f0 - 0x000001f7 (0x8) IX[B]
	[21] -1	0	0x00008400 - 0x0000840f (0x10) IX[B]
	[22] -1	0	0x00009000 - 0x000090ff (0x100) IX[B](B)
(II) Active PCI resource ranges after removing overlaps:
	[0] -1	0	0xc0306000 - 0xc0307fff (0x2000) MX[B]
	[1] -1	0	0xc0309800 - 0xc03098ff (0x100) MX[B]
	[2] -1	0	0xc0309c00 - 0xc0309cff (0x100) MX[B]
	[3] -1	0	0xc030a000 - 0xc030a0ff (0x100) MX[B]
	[4] -1	0	0xc0304000 - 0xc0305fff (0x2000) MX[B]
	[5] -1	0	0xc0300000 - 0xc0303fff (0x4000) MX[B]
	[6] -1	0	0xc0309000 - 0xc03097ff (0x800) MX[B]
	[7] -1	0	0xc0200000 - 0xc0203fff (0x4000) MX[B]
	[8] -1	0	0xc0000000 - 0xc0003fff (0x4000) MX[B]
	[9] -1	0	0xc0007000 - 0xc00073ff (0x400) MX[B]
	[10] -1	0	0xc0006000 - 0xc0006fff (0x1000) MX[B]
	[11] -1	0	0xc0005000 - 0xc0005fff (0x1000) MX[B]
	[12] -1	0	0xc0004000 - 0xc0004fff (0x1000) MX[B]
	[13] -1	0	0xc0100000 - 0xc010ffff (0x10000) MX[B](B)
	[14] -1	0	0xd0000000 - 0xdfffffff (0x10000000) MX[B](B)
	[15] -1	0	0x0000a000 - 0x0000a0ff (0x100) IX[B]
	[16] -1	0	0x00008410 - 0x0000841f (0x10) IX[B]
	[17] -1	0	0x00000374 - 0x00000374 (0x1) IX[B]
	[18] -1	0	0x00000170 - 0x00000177 (0x8) IX[B]
	[19] -1	0	0x000003f4 - 0x000003f4 (0x1) IX[B]
	[20] -1	0	0x000001f0 - 0x000001f7 (0x8) IX[B]
	[21] -1	0	0x00008400 - 0x0000840f (0x10) IX[B]
	[22] -1	0	0x00009000 - 0x000090ff (0x100) IX[B](B)
(II) OS-reported resource ranges after removing overlaps with PCI:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[5] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
(II) All system resource ranges:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0xc0306000 - 0xc0307fff (0x2000) MX[B]
	[5] -1	0	0xc0309800 - 0xc03098ff (0x100) MX[B]
	[6] -1	0	0xc0309c00 - 0xc0309cff (0x100) MX[B]
	[7] -1	0	0xc030a000 - 0xc030a0ff (0x100) MX[B]
	[8] -1	0	0xc0304000 - 0xc0305fff (0x2000) MX[B]
	[9] -1	0	0xc0300000 - 0xc0303fff (0x4000) MX[B]
	[10] -1	0	0xc0309000 - 0xc03097ff (0x800) MX[B]
	[11] -1	0	0xc0200000 - 0xc0203fff (0x4000) MX[B]
	[12] -1	0	0xc0000000 - 0xc0003fff (0x4000) MX[B]
	[13] -1	0	0xc0007000 - 0xc00073ff (0x400) MX[B]
	[14] -1	0	0xc0006000 - 0xc0006fff (0x1000) MX[B]
	[15] -1	0	0xc0005000 - 0xc0005fff (0x1000) MX[B]
	[16] -1	0	0xc0004000 - 0xc0004fff (0x1000) MX[B]
	[17] -1	0	0xc0100000 - 0xc010ffff (0x10000) MX[B](B)
	[18] -1	0	0xd0000000 - 0xdfffffff (0x10000000) MX[B](B)
	[19] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[20] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[21] -1	0	0x0000a000 - 0x0000a0ff (0x100) IX[B]
	[22] -1	0	0x00008410 - 0x0000841f (0x10) IX[B]
	[23] -1	0	0x00000374 - 0x00000374 (0x1) IX[B]
	[24] -1	0	0x00000170 - 0x00000177 (0x8) IX[B]
	[25] -1	0	0x000003f4 - 0x000003f4 (0x1) IX[B]
	[26] -1	0	0x000001f0 - 0x000001f7 (0x8) IX[B]
	[27] -1	0	0x00008400 - 0x0000840f (0x10) IX[B]
	[28] -1	0	0x00009000 - 0x000090ff (0x100) IX[B](B)
(II) LoadModule: "extmod"
(II) Loading /usr/lib/xorg/modules/extensions//libextmod.so
(II) Module extmod: vendor="X.Org Foundation"
	compiled for 7.2.0, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 0.3
(II) Loading extension SHAPE
(II) Loading extension MIT-SUNDRY-NONSTANDARD
(II) Loading extension BIG-REQUESTS
(II) Loading extension SYNC
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XC-MISC
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-Misc
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension TOG-CUP
(II) Loading extension Extended-Visual-Information
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "dbe"
(II) Loading /usr/lib/xorg/modules/extensions//libdbe.so
(II) Module dbe: vendor="X.Org Foundation"
	compiled for 7.2.0, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 0.3
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "glx"
(II) Loading /usr/lib/xorg/modules/extensions//libglx.so
(II) Module glx: vendor="X.Org Foundation"
	compiled for 7.2.0, module version = 1.0.0
	ABI class: X.Org Server Extension, version 0.3
(==) AIGLX enabled
(II) Loading extension GLX
(II) LoadModule: "freetype"
(II) Loading /usr/lib/xorg/modules//fonts/libfreetype.so
(II) Module freetype: vendor="X.Org Foundation & the After X-TT Project"
	compiled for 7.2.0, module version = 2.1.0
	Module class: X.Org Font Renderer
	ABI class: X.Org Font Renderer, version 0.5
(II) Loading font FreeType
(II) LoadModule: "type1"
(II) Loading /usr/lib/xorg/modules//fonts/libtype1.so
(II) Module type1: vendor="X.Org Foundation"
	compiled for 7.2.0, module version = 1.0.2
	Module class: X.Org Font Renderer
	ABI class: X.Org Font Renderer, version 0.5
(II) Loading font Type1
(II) LoadModule: "record"
(II) Loading /usr/lib/xorg/modules/extensions//librecord.so
(II) Module record: vendor="X.Org Foundation"
	compiled for 7.2.0, module version = 1.13.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 0.3
(II) Loading extension RECORD
(II) LoadModule: "dri"
(II) Loading /usr/lib/xorg/modules/extensions//libdri.so
(II) Module dri: vendor="X.Org Foundation"
	compiled for 7.2.0, module version = 1.0.0
	ABI class: X.Org Server Extension, version 0.3
(II) Loading extension XFree86-DRI
(II) LoadModule: "ati"
(II) Loading /usr/lib/xorg/modules/drivers//ati_drv.so
(II) Module ati: vendor="X.Org Foundation"
	compiled for 7.2.0, module version = 6.7.191
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 2.0
(II) LoadModule: "kbd"
(II) Loading /usr/lib/xorg/modules/input//kbd_drv.so
(II) Module kbd: vendor="X.Org Foundation"
	compiled for 7.2.0, module version = 1.2.1
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 2.0
(II) LoadModule: "mouse"
(II) Loading /usr/lib/xorg/modules/input//mouse_drv.so
(II) Module mouse: vendor="X.Org Foundation"
	compiled for 7.2.0, module version = 1.2.2
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 2.0
(II) ATI: ATI driver wrapper (version 6.7.191) for chipsets: mach64, rage128, radeon
(II) Primary Device is: PCI 01:05:0
(II) Loading sub module "radeon"
(II) LoadModule: "radeon"
(II) Loading /usr/lib/xorg/modules/drivers//radeon_drv.so
(II) Module radeon: vendor="X.Org Foundation"
	compiled for 7.2.0, module version = 4.3.0
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 2.0
(II) RADEON: Driver for ATI Radeon chipsets: ATI Radeon QD (AGP),
	ATI Radeon QE (AGP), ATI Radeon QF (AGP), ATI Radeon QG (AGP),
	ATI Radeon VE/7000 QY (AGP/PCI), ATI Radeon VE/7000 QZ (AGP/PCI),
	ATI ES1000 515E (PCI), ATI ES1000 5969 (PCI),
	ATI Radeon Mobility M7 LW (AGP),
	ATI Mobility FireGL 7800 M7 LX (AGP),
	ATI Radeon Mobility M6 LY (AGP), ATI Radeon Mobility M6 LZ (AGP),
	ATI Radeon IGP320 (A3) 4136, ATI Radeon IGP320M (U1) 4336,
	ATI Radeon IGP330/340/350 (A4) 4137,
	ATI Radeon IGP330M/340M/350M (U2) 4337,
	ATI Radeon 7000 IGP (A4+) 4237, ATI Radeon Mobility 7000 IGP 4437,
	ATI FireGL 8700/8800 QH (AGP), ATI Radeon 8500 QL (AGP),
	ATI Radeon 9100 QM (AGP), ATI Radeon 8500 AIW BB (AGP),
	ATI Radeon 8500 AIW BC (AGP), ATI Radeon 7500 QW (AGP/PCI),
	ATI Radeon 7500 QX (AGP/PCI), ATI Radeon 9000/PRO If (AGP/PCI),
	ATI Radeon 9000 Ig (AGP/PCI), ATI FireGL Mobility 9000 (M9) Ld (AGP),
	ATI Radeon Mobility 9000 (M9) Lf (AGP),
	ATI Radeon Mobility 9000 (M9) Lg (AGP),
	ATI Radeon 9100 IGP (A5) 5834,
	ATI Radeon Mobility 9100 IGP (U3) 5835, ATI Radeon 9100 PRO IGP 7834,
	ATI Radeon Mobility 9200 IGP 7835, ATI Radeon 9250 5960 (AGP),
	ATI Radeon 9200 5961 (AGP), ATI Radeon 9200 5962 (AGP),
	ATI Radeon 9200SE 5964 (AGP), ATI FireMV 2200 (PCI),
	ATI Radeon Mobility 9200 (M9+) 5C61 (AGP),
	ATI Radeon Mobility 9200 (M9+) 5C63 (AGP), ATI Radeon 9500 AD (AGP),
	ATI Radeon 9500 AE (AGP), ATI Radeon 9600TX AF (AGP),
	ATI FireGL Z1 AG (AGP), ATI Radeon 9700 Pro ND (AGP),
	ATI Radeon 9700/9500Pro NE (AGP), ATI Radeon 9600TX NF (AGP),
	ATI FireGL X1 NG (AGP), ATI Radeon 9600 AP (AGP),
	ATI Radeon 9600SE AQ (AGP), ATI Radeon 9600XT AR (AGP),
	ATI Radeon 9600 AS (AGP), ATI FireGL T2 AT (AGP),
	ATI FireGL RV360 AV (AGP),
	ATI Radeon Mobility 9600/9700 (M10/M11) NP (AGP),
	ATI Radeon Mobility 9600 (M10) NQ (AGP),
	ATI Radeon Mobility 9600 (M11) NR (AGP),
	ATI Radeon Mobility 9600 (M10) NS (AGP),
	ATI FireGL Mobility T2 (M10) NT (AGP),
	ATI FireGL Mobility T2e (M11) NV (AGP), ATI Radeon 9650,
	ATI Radeon 9800SE AH (AGP), ATI Radeon 9800 AI (AGP),
	ATI Radeon 9800 AJ (AGP), ATI FireGL X2 AK (AGP),
	ATI Radeon 9800PRO NH (AGP), ATI Radeon 9800 NI (AGP),
	ATI FireGL X2 NK (AGP), ATI Radeon 9800XT NJ (AGP),
	ATI Radeon X600 (RV380) 3E50 (PCIE),
	ATI FireGL V3200 (RV380) 3E54 (PCIE),
	ATI Radeon Mobility X600 (M24) 3150 (PCIE),
	ATI Radeon Mobility X300 (M24) 3152 (PCIE),
	ATI FireGL M24 GL 3154 (PCIE), ATI Radeon X300 (RV370) 5B60 (PCIE),
	ATI Radeon X600 (RV370) 5B62 (PCIE),
	ATI Radeon X550 (RV370) 5B63 (PCIE),
	ATI FireGL V3100 (RV370) 5B64 (PCIE),
	ATI FireMV 2200 PCIE (RV370) 5B65 (PCIE),
	ATI Radeon Mobility X300 (M22) 5460 (PCIE),
	ATI Radeon Mobility X600 SE (M24C) 5462 (PCIE),
	ATI FireGL M22 GL 5464 (PCIE), ATI Radeon XPRESS 200 5A41 (PCIE),
	ATI Radeon XPRESS 200M 5A42 (PCIE),
	ATI Radeon XPRESS 200 5A61 (PCIE),
	ATI Radeon XPRESS 200M 5A62 (PCIE),
	ATI Radeon XPRESS 200 5954 (PCIE),
	ATI Radeon XPRESS 200M 5955 (PCIE),
	ATI Radeon XPRESS 200 5974 (PCIE),
	ATI Radeon XPRESS 200M 5975 (PCIE), ATI FireGL V5000 (RV410) (PCIE),
	ATI Mobility FireGL V5000 (M26) (PCIE),
	ATI Mobility FireGL V5000 (M26) (PCIE),
	ATI Mobility Radeon X700 XL (M26) (PCIE),
	ATI Mobility Radeon X700 (M26) (PCIE),
	ATI Mobility Radeon X700 (M26) (PCIE),
	ATI Radeon X700 PRO (RV410) (PCIE),
	ATI Radeon X700 XT (RV410) (PCIE), ATI Radeon X700 (RV410) (PCIE),
	ATI Radeon X700 SE (RV410) (PCIE), ATI Radeon X700 SE (RV410) (PCIE),
	ATI Radeon X800 (R420) JH (AGP), ATI Radeon X800PRO (R420) JI (AGP),
	ATI Radeon X800SE (R420) JJ (AGP), ATI Radeon X800 (R420) JK (AGP),
	ATI Radeon X800 (R420) JL (AGP), ATI FireGL X3 (R420) JM (AGP),
	ATI Radeon Mobility 9800 (M18) JN (AGP),
	ATI Radeon X800XT (R420) JP (AGP), ATI Radeon X800 SE (R420) (AGP),
	ATI Radeon AIW X800 VE (R420) JT (AGP),
	ATI Radeon X800 (R423) UH (PCIE),
	ATI Radeon X800PRO (R423) UI (PCIE),
	ATI Radeon X800LE (R423) UJ (PCIE),
	ATI Radeon X800SE (R423) UK (PCIE),
	ATI FireGL V5100 (R423) UQ (PCIE),
	ATI FireGL unknown (R423) UR (PCIE),
	ATI FireGL unknown (R423) UT (PCIE),
	ATI Radeon X800XT (R423) 5D57 (PCIE), ATI FireGL V7100 (R423) (PCIE),
	ATI Mobility FireGL V5100 (M28) (PCIE),
	ATI Mobility Radeon X800 (M28) (PCIE),
	ATI Mobility Radeon X800 XT (M28) (PCIE),
	ATI Radeon X800 (R430) (PCIE), ATI Radeon X800 XL (R430) (PCIE),
	ATI Radeon X800 SE (R430) (PCIE), ATI Radeon X800 XTP (R430) (PCIE),
	ATI Radeon X850 5D4C (PCIE),
	ATI unknown Radeon / FireGL (R480) 5D50 (PCIE),
	ATI Radeon X850 SE (R480) (PCIE), ATI Radeon X850 PRO (R480) (PCIE),
	ATI Radeon X850 XT (R480) (PCIE),
	ATI Radeon X850 XT PE (R480) (PCIE),
	ATI Radeon X850 PRO (R480) (AGP), ATI Radeon X850 SE (R480) (AGP),
	ATI Radeon X850 XT (R480) (AGP), ATI Radeon X850 XT PE (R480) (AGP)
(--) Chipset ATI Radeon XPRESS 200M 5A42 (PCIE) found
(II) resource ranges after xf86ClaimFixedResources() call:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0xc0306000 - 0xc0307fff (0x2000) MX[B]
	[5] -1	0	0xc0309800 - 0xc03098ff (0x100) MX[B]
	[6] -1	0	0xc0309c00 - 0xc0309cff (0x100) MX[B]
	[7] -1	0	0xc030a000 - 0xc030a0ff (0x100) MX[B]
	[8] -1	0	0xc0304000 - 0xc0305fff (0x2000) MX[B]
	[9] -1	0	0xc0300000 - 0xc0303fff (0x4000) MX[B]
	[10] -1	0	0xc0309000 - 0xc03097ff (0x800) MX[B]
	[11] -1	0	0xc0200000 - 0xc0203fff (0x4000) MX[B]
	[12] -1	0	0xc0000000 - 0xc0003fff (0x4000) MX[B]
	[13] -1	0	0xc0007000 - 0xc00073ff (0x400) MX[B]
	[14] -1	0	0xc0006000 - 0xc0006fff (0x1000) MX[B]
	[15] -1	0	0xc0005000 - 0xc0005fff (0x1000) MX[B]
	[16] -1	0	0xc0004000 - 0xc0004fff (0x1000) MX[B]
	[17] -1	0	0xc0100000 - 0xc010ffff (0x10000) MX[B](B)
	[18] -1	0	0xd0000000 - 0xdfffffff (0x10000000) MX[B](B)
	[19] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[20] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[21] -1	0	0x0000a000 - 0x0000a0ff (0x100) IX[B]
	[22] -1	0	0x00008410 - 0x0000841f (0x10) IX[B]
	[23] -1	0	0x00000374 - 0x00000374 (0x1) IX[B]
	[24] -1	0	0x00000170 - 0x00000177 (0x8) IX[B]
	[25] -1	0	0x000003f4 - 0x000003f4 (0x1) IX[B]
	[26] -1	0	0x000001f0 - 0x000001f7 (0x8) IX[B]
	[27] -1	0	0x00008400 - 0x0000840f (0x10) IX[B]
	[28] -1	0	0x00009000 - 0x000090ff (0x100) IX[B](B)
(II) resource ranges after probing:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0xc0306000 - 0xc0307fff (0x2000) MX[B]
	[5] -1	0	0xc0309800 - 0xc03098ff (0x100) MX[B]
	[6] -1	0	0xc0309c00 - 0xc0309cff (0x100) MX[B]
	[7] -1	0	0xc030a000 - 0xc030a0ff (0x100) MX[B]
	[8] -1	0	0xc0304000 - 0xc0305fff (0x2000) MX[B]
	[9] -1	0	0xc0300000 - 0xc0303fff (0x4000) MX[B]
	[10] -1	0	0xc0309000 - 0xc03097ff (0x800) MX[B]
	[11] -1	0	0xc0200000 - 0xc0203fff (0x4000) MX[B]
	[12] -1	0	0xc0000000 - 0xc0003fff (0x4000) MX[B]
	[13] -1	0	0xc0007000 - 0xc00073ff (0x400) MX[B]
	[14] -1	0	0xc0006000 - 0xc0006fff (0x1000) MX[B]
	[15] -1	0	0xc0005000 - 0xc0005fff (0x1000) MX[B]
	[16] -1	0	0xc0004000 - 0xc0004fff (0x1000) MX[B]
	[17] -1	0	0xc0100000 - 0xc010ffff (0x10000) MX[B](B)
	[18] -1	0	0xd0000000 - 0xdfffffff (0x10000000) MX[B](B)
	[19] 0	0	0x000a0000 - 0x000affff (0x10000) MS[B]
	[20] 0	0	0x000b0000 - 0x000b7fff (0x8000) MS[B]
	[21] 0	0	0x000b8000 - 0x000bffff (0x8000) MS[B]
	[22] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[23] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[24] -1	0	0x0000a000 - 0x0000a0ff (0x100) IX[B]
	[25] -1	0	0x00008410 - 0x0000841f (0x10) IX[B]
	[26] -1	0	0x00000374 - 0x00000374 (0x1) IX[B]
	[27] -1	0	0x00000170 - 0x00000177 (0x8) IX[B]
	[28] -1	0	0x000003f4 - 0x000003f4 (0x1) IX[B]
	[29] -1	0	0x000001f0 - 0x000001f7 (0x8) IX[B]
	[30] -1	0	0x00008400 - 0x0000840f (0x10) IX[B]
	[31] -1	0	0x00009000 - 0x000090ff (0x100) IX[B](B)
	[32] 0	0	0x000003b0 - 0x000003bb (0xc) IS[B]
	[33] 0	0	0x000003c0 - 0x000003df (0x20) IS[B]
(II) Setting vga for screen 0.
(II) RADEON(0): MMIO registers at 0xc0100000: size 64KB
(II) RADEON(0): PCI bus 1 card 5 func 0
(**) RADEON(0): Depth 24, (--) framebuffer bpp 32
(II) RADEON(0): Pixel depth = 24 bits stored in 4 bytes (32 bpp pixmaps)
(==) RADEON(0): Default visual is TrueColor
(**) RADEON(0): Option "DRI" "off"
(II) Loading sub module "vgahw"
(II) LoadModule: "vgahw"
(II) Loading /usr/lib/xorg/modules//libvgahw.so
(II) Module vgahw: vendor="X.Org Foundation"
	compiled for 7.2.0, module version = 0.1.0
	ABI class: X.Org Video Driver, version 2.0
(II) RADEON(0): vgaHWGetIOBase: hwp->IOBase is 0x03d0, hwp->PIOOffset is 0x0000
(==) RADEON(0): RGB weight 888
(II) RADEON(0): Using 8 bits per RGB (8 bit DAC)
(==) RADEON(0): X server will not keep DPI constant for all screen sizes
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Loading /usr/lib/xorg/modules//libint10.so
(II) Module int10: vendor="X.Org Foundation"
	compiled for 7.2.0, module version = 1.0.0
	ABI class: X.Org Video Driver, version 2.0
(II) RADEON(0): initializing int10
(II) RADEON(0): Primary V_BIOS segment is: 0xc000
(--) RADEON(0): Chipset: "ATI Radeon XPRESS 200M 5A42 (PCIE)" (ChipID = 0x5a42)
(--) RADEON(0): Linear framebuffer at 0xd0000000
(II) RADEON(0): PCI card detected
(II) RADEON(0): Legacy BIOS detected
(II) RADEON(0): Direct rendering forced off
(II) RADEON(0): Detected total video RAM=131072K, accessible=262144K (PCI BAR=262144K)
(--) RADEON(0): Mapped VideoRAM: 131072 kByte (128 bit DDR SDRAM)
(II) RADEON(0): Color tiling enabled by default
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"(II) Module "ddc" already built-in
(II) Loading sub module "i2c"
(II) LoadModule: "i2c"(II) Module "i2c" already built-in
(II) RADEON(0): PLL parameters: rf=1432 rd=6 min=20000 max=40000; xclk=26600
(WW) RADEON(0): LCD DDC Info Table found!
(II) RADEON(0): Bios Connector table: 
(II) RADEON(0): Port0: DDCType-4, DACType-0, TMDSType-0, ConnectorType-2
(II) RADEON(0): Port4: DDCType-5, DACType-2, TMDSType-2, ConnectorType-1
(II) RADEON(0): Port5: DDCType-0, DACType-1, TMDSType-2, ConnectorType-6
(II) RADEON(0): Output VGA-0 using monitor section Allmän skärm
(II) RADEON(0): I2C bus "CRT2_DDC" initialized.
(II) RADEON(0): Output LVDS has no monitor section
(II) RADEON(0): I2C bus "LCD_DDC" initialized.
(II) RADEON(0): Panel ID string: LPL                     
(II) RADEON(0): Panel Size from BIOS: 1024x768
(II) RADEON(0): BIOS provided dividers will be used.
(II) RADEON(0): Output S-video has no monitor section
(II) RADEON(0): Default TV standard: NTSC
(II) RADEON(0): TV standards supported by chip: NTSC PAL 
(II) RADEON(0): Port0:
 Monitor   -- AUTO
 Connector -- VGA
 DAC Type  -- TVDAC/ExtDAC
 TMDS Type -- None
 DDC Type  -- CRT2_DDC
(II) RADEON(0): Port1:
 Monitor   -- AUTO
 Connector -- Proprietary/LVDS
 DAC Type  -- None
 TMDS Type -- None
 DDC Type  -- LCD_DDC
(II) RADEON(0): Port2:
 Monitor   -- AUTO
 Connector -- STV
 DAC Type  -- TVDAC/ExtDAC
 TMDS Type -- None
 DDC Type  -- NONE
(II) RADEON(0): DDC Type: 4, Detected Monitor Type: 0
(II) RADEON(0): Found color CRT connected to TV DAC
finished output detect: 0
(II) RADEON(0): I2C device "LCD_DDC:ddc2" registered at address 0xA0.
(II) RADEON(0): DDC Type: 5, Detected Monitor Type: 2
(II) RADEON(0): EDID data from the display on connector: Proprietary/LVDS ----------------------
(II) RADEON(0): Manufacturer: LPL  Model: 0  Serial#: 0
(II) RADEON(0): Year: 2005  Week: 0
(II) RADEON(0): EDID Version: 1.2
(II) RADEON(0): Digital Display Input
(II) RADEON(0): Max H-Image Size [cm]: horiz.: 30  vert.: 23
(II) RADEON(0): Gamma: 2.20
(II) RADEON(0): No DPMS capabilities specified; RGB/Color Display
(II) RADEON(0): First detailed timing is preferred mode
(II) RADEON(0): redX: 0.587 redY: 0.343   greenX: 0.320 greenY: 0.529
(II) RADEON(0): blueX: 0.158 blueY: 0.140   whiteX: 0.312 whiteY: 0.328
(II) RADEON(0): Manufacturer's mask: 0
(II) RADEON(0): Supported additional Video Mode:
(II) RADEON(0): clock: 65.0 MHz   Image Size:  304 x 228 mm
(II) RADEON(0): h_active: 1024  h_sync: 1048  h_sync_end 1184 h_blank_end 1344 h_border: 0
(II) RADEON(0): v_active: 768  v_sync: 771  v_sync_end 777 v_blanking: 806 v_border: 0
(II) RADEON(0):  LGPhilipsLCD
(II) RADEON(0):  LP150X09-B2K1
(II) RADEON(0): EDID (in hex):
(II) RADEON(0): 	00ffffffffffff00320c000000000000
(II) RADEON(0): 	000f0102801e17780a72b09657528728
(II) RADEON(0): 	23505400000001010101010101010101
(II) RADEON(0): 	01010101010164190040410026301888
(II) RADEON(0): 	360030e4100000180000000000000000
(II) RADEON(0): 	00000000000000000000000000fe004c
(II) RADEON(0): 	475068696c6970734c43440a000000fe
(II) RADEON(0): 	004c503135305830392d42324b3100dd
finished output detect: 1
(II) RADEON(0): S-Video TV connection detected
finished output detect: 2
finished all detect
before xf86InitialConfiguration
(II) RADEON(0): DDC Type: 4, Detected Monitor Type: 0
(II) RADEON(0): Found color CRT connected to TV DAC
in RADEONProbeOutputModes
(II) RADEON(0): I2C device "CRT2_DDC:ddc2" registered at address 0xA0.
(II) RADEON(0): I2C device "CRT2_DDC:ddc2" removed.
(II) RADEON(0): DDC Type: 5, Detected Monitor Type: 2
(II) RADEON(0): EDID data from the display on connector: Proprietary/LVDS ----------------------
(II) RADEON(0): Manufacturer: LPL  Model: 0  Serial#: 0
(II) RADEON(0): Year: 2005  Week: 0
(II) RADEON(0): EDID Version: 1.2
(II) RADEON(0): Digital Display Input
(II) RADEON(0): Max H-Image Size [cm]: horiz.: 30  vert.: 23
(II) RADEON(0): Gamma: 2.20
(II) RADEON(0): No DPMS capabilities specified; RGB/Color Display
(II) RADEON(0): First detailed timing is preferred mode
(II) RADEON(0): redX: 0.587 redY: 0.343   greenX: 0.320 greenY: 0.529
(II) RADEON(0): blueX: 0.158 blueY: 0.140   whiteX: 0.312 whiteY: 0.328
(II) RADEON(0): Manufacturer's mask: 0
(II) RADEON(0): Supported additional Video Mode:
(II) RADEON(0): clock: 65.0 MHz   Image Size:  304 x 228 mm
(II) RADEON(0): h_active: 1024  h_sync: 1048  h_sync_end 1184 h_blank_end 1344 h_border: 0
(II) RADEON(0): v_active: 768  v_sync: 771  v_sync_end 777 v_blanking: 806 v_border: 0
(II) RADEON(0):  LGPhilipsLCD
(II) RADEON(0):  LP150X09-B2K1
(II) RADEON(0): EDID (in hex):
(II) RADEON(0): 	00ffffffffffff00320c000000000000
(II) RADEON(0): 	000f0102801e17780a72b09657528728
(II) RADEON(0): 	23505400000001010101010101010101
(II) RADEON(0): 	01010101010164190040410026301888
(II) RADEON(0): 	360030e4100000180000000000000000
(II) RADEON(0): 	00000000000000000000000000fe004c
(II) RADEON(0): 	475068696c6970734c43440a000000fe
(II) RADEON(0): 	004c503135305830392d42324b3100dd
in RADEONProbeOutputModes
(II) RADEON(0): EDID for output 0
(II) RADEON(0): Manufacturer: LPL  Model: 0  Serial#: 0
(II) RADEON(0): Year: 2005  Week: 0
(II) RADEON(0): EDID Version: 1.2
(II) RADEON(0): Digital Display Input
(II) RADEON(0): Max H-Image Size [cm]: horiz.: 30  vert.: 23
(II) RADEON(0): Gamma: 2.20
(II) RADEON(0): No DPMS capabilities specified; RGB/Color Display
(II) RADEON(0): First detailed timing is preferred mode
(II) RADEON(0): redX: 0.587 redY: 0.343   greenX: 0.320 greenY: 0.529
(II) RADEON(0): blueX: 0.158 blueY: 0.140   whiteX: 0.312 whiteY: 0.328
(II) RADEON(0): Manufacturer's mask: 0
(II) RADEON(0): Supported additional Video Mode:
(II) RADEON(0): clock: 65.0 MHz   Image Size:  304 x 228 mm
(II) RADEON(0): h_active: 1024  h_sync: 1048  h_sync_end 1184 h_blank_end 1344 h_border: 0
(II) RADEON(0): v_active: 768  v_sync: 771  v_sync_end 777 v_blanking: 806 v_border: 0
(II) RADEON(0):  LGPhilipsLCD
(II) RADEON(0):  LP150X09-B2K1
(II) RADEON(0): EDID (in hex):
(II) RADEON(0): 	00ffffffffffff00320c000000000000
(II) RADEON(0): 	000f0102801e17780a72b09657528728
(II) RADEON(0): 	23505400000001010101010101010101
(II) RADEON(0): 	01010101010164190040410026301888
(II) RADEON(0): 	360030e4100000180000000000000000
(II) RADEON(0): 	00000000000000000000000000fe004c
(II) RADEON(0): 	475068696c6970734c43440a000000fe
(II) RADEON(0): 	004c503135305830392d42324b3100dd
(II) RADEON(0): EDID vendor "LPL", prod id 0
(II) RADEON(0): S-Video TV connection detected
in RADEONProbeOutputModes
(II) RADEON(0): Output VGA-0 connected
(II) RADEON(0): Output LVDS connected
(II) RADEON(0): Output S-video connected
(II) RADEON(0): Output VGA-0 using initial mode 1024x768
(II) RADEON(0): Output LVDS using initial mode 1024x768
(II) RADEON(0): Output S-video using initial mode 800x600
after xf86InitialConfiguration
(==) RADEON(0): DPI set to (75, 75)
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/lib/xorg/modules//libfb.so
(II) Module fb: vendor="X.Org Foundation"
	compiled for 7.2.0, module version = 1.0.0
	ABI class: X.Org ANSI C Emulation, version 0.3
(==) RADEON(0): Using gamma correction (1.0, 1.0, 1.0)
(II) Loading sub module "ramdac"
(II) LoadModule: "ramdac"(II) Module "ramdac" already built-in
(==) RADEON(0): Using XAA acceleration architecture
(II) Loading sub module "xaa"
(II) LoadModule: "xaa"
(II) Loading /usr/lib/xorg/modules//libxaa.so
(II) Module xaa: vendor="X.Org Foundation"
	compiled for 7.2.0, module version = 1.2.0
	ABI class: X.Org Video Driver, version 2.0
(==) RADEON(0): Assuming overlay scaler buffer width is 1536
(II) RADEON(0): No MM_TABLE found - assuming CARD is not TV-in capable.
(!!) RADEON(0): For information on using the multimedia capabilities
	of this adapter, please see http://gatos.sf.net.
(--) Depth 24 pixmap format is 32 bpp
(II) do I need RAC?  No, I don't.
(II) resource ranges after preInit:
	[0] 0	0	0xc0100000 - 0xc010ffff (0x10000) MX[B]
	[1] 0	0	0xd0000000 - 0xdfffffff (0x10000000) MX[B]
	[2] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[3] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[4] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[5] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[6] -1	0	0xc0306000 - 0xc0307fff (0x2000) MX[B]
	[7] -1	0	0xc0309800 - 0xc03098ff (0x100) MX[B]
	[8] -1	0	0xc0309c00 - 0xc0309cff (0x100) MX[B]
	[9] -1	0	0xc030a000 - 0xc030a0ff (0x100) MX[B]
	[10] -1	0	0xc0304000 - 0xc0305fff (0x2000) MX[B]
	[11] -1	0	0xc0300000 - 0xc0303fff (0x4000) MX[B]
	[12] -1	0	0xc0309000 - 0xc03097ff (0x800) MX[B]
	[13] -1	0	0xc0200000 - 0xc0203fff (0x4000) MX[B]
	[14] -1	0	0xc0000000 - 0xc0003fff (0x4000) MX[B]
	[15] -1	0	0xc0007000 - 0xc00073ff (0x400) MX[B]
	[16] -1	0	0xc0006000 - 0xc0006fff (0x1000) MX[B]
	[17] -1	0	0xc0005000 - 0xc0005fff (0x1000) MX[B]
	[18] -1	0	0xc0004000 - 0xc0004fff (0x1000) MX[B]
	[19] -1	0	0xc0100000 - 0xc010ffff (0x10000) MX[B](B)
	[20] -1	0	0xd0000000 - 0xdfffffff (0x10000000) MX[B](B)
	[21] 0	0	0x000a0000 - 0x000affff (0x10000) MS[B](OprU)
	[22] 0	0	0x000b0000 - 0x000b7fff (0x8000) MS[B](OprU)
	[23] 0	0	0x000b8000 - 0x000bffff (0x8000) MS[B](OprU)
	[24] 0	0	0x00009000 - 0x000090ff (0x100) IX[B]
	[25] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[26] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[27] -1	0	0x0000a000 - 0x0000a0ff (0x100) IX[B]
	[28] -1	0	0x00008410 - 0x0000841f (0x10) IX[B]
	[29] -1	0	0x00000374 - 0x00000374 (0x1) IX[B]
	[30] -1	0	0x00000170 - 0x00000177 (0x8) IX[B]
	[31] -1	0	0x000003f4 - 0x000003f4 (0x1) IX[B]
	[32] -1	0	0x000001f0 - 0x000001f7 (0x8) IX[B]
	[33] -1	0	0x00008400 - 0x0000840f (0x10) IX[B]
	[34] -1	0	0x00009000 - 0x000090ff (0x100) IX[B](B)
	[35] 0	0	0x000003b0 - 0x000003bb (0xc) IS[B](OprU)
	[36] 0	0	0x000003c0 - 0x000003df (0x20) IS[B](OprU)
(==) RADEON(0): Write-combining range (0xd0000000,0x8000000)
Entering TV Save
Save TV timing tables
saveTimingTables: reading timing tables
TV Save done
(II) RADEON(0): Dynamic Clock Scaling Disabled
(II) RADEON(0): RADEONInitMemoryMap() : 
(II) RADEON(0):   mem_size         : 0x08000000
(II) RADEON(0):   MC_FB_LOCATION   : 0x5fff5800
(II) RADEON(0):   MC_AGP_LOCATION  : 0xffffffc0
(II) RADEON(0): Depth moves disabled by default
(II) RADEON(0): Memory manager initialized to (0,0) (2048,8191)
(II) RADEON(0): Reserved area from (0,768) to (2048,770)
(II) RADEON(0): Largest offscreen area available: 2048 x 7421
init memmap
init common
init crtc1
init pll1
restore memmap
(II) RADEON(0): RADEONRestoreMemMapRegisters() : 
(II) RADEON(0):   MC_FB_LOCATION   : 0x5fff5800
(II) RADEON(0):   MC_AGP_LOCATION  : 0xffffffc0
restore common
restore crtc1
restore pll1
restore LVDS
enable montype: 2
init memmap
init common
init crtc2
init pll2
restore memmap
(II) RADEON(0): RADEONRestoreMemMapRegisters() : 
(II) RADEON(0):   MC_FB_LOCATION   : 0x5fff5800
(II) RADEON(0):   MC_AGP_LOCATION  : 0xffffffc0
restore common
restore crtc2
restore pll2
finished PLL2
finished PLL2
computeRestarts: def = 625592, h = 0, v = 0, p1=126d, p2=1a8f, restart = 625592
computeRestarts: F/H/V=0,631,902
computeRestarts: hSize=0,hInc=1593
restore tv
Entering Restore TV
Restore TV PLL
Restore TVHV
Restore TV Restarts
Restore Timing Tables
Restore TV standard
Leaving Restore TV
enable montype: 5
disable montype: 2
disable montype: 5
(==) RADEON(0): Backing store disabled
(WW) RADEON(0): Direct rendering disabled
(II) RADEON(0): Render acceleration unsupported on Radeon 9500/9700 and newer.
(II) RADEON(0): Render acceleration disabled
(II) RADEON(0): Using XFree86 Acceleration Architecture (XAA)
	Screen to screen bit blits
	Solid filled rectangles
	8x8 mono pattern filled rectangles
	Indirect CPU to Screen color expansion
	Solid Lines
	Scanline Image Writes
	Offscreen Pixmaps
	Setting up tile and stipple cache:
		32 128x128 slots
		32 256x256 slots
		16 512x512 slots
(II) RADEON(0): Acceleration enabled
(**) Option "dpms"
(**) RADEON(0): DPMS enabled
(==) RADEON(0): Silken mouse enabled
(II) RADEON(0): Using hardware cursor (scanline 770)
(II) RADEON(0): Largest offscreen area available: 2048 x 7419
(II) RADEON(0): No video input capabilities detected and no information is provided - disabling multimedia i2c
(II) Loading sub module "theatre_detect"
(II) LoadModule: "theatre_detect"
(II) Loading /usr/lib/xorg/modules/multimedia//theatre_detect_drv.so
(II) Module theatre_detect: vendor="X.Org Foundation"
	compiled for 7.2.0, module version = 1.0.0
	ABI class: X.Org Video Driver, version 2.0
(II) RADEON(0): no multimedia table present, disabling Rage Theatre.
(II) RADEON(0): RandR 1.2 enabled, ignore the following RandR disabled message.
(--) RandR disabled
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension XC-APPGROUP
(II) Initializing built-in extension XAccessControlExtension
(II) Initializing built-in extension SECURITY
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFIXES
(II) Initializing built-in extension XFree86-Bigfont
(II) Initializing built-in extension RENDER
(II) Initializing built-in extension RANDR
(II) Initializing built-in extension COMPOSITE
(II) Initializing built-in extension DAMAGE
(II) Initializing built-in extension XEVIE
(II) AIGLX: Screen 0 is not DRI capable
(II) Loading sub module "GLcore"
(II) LoadModule: "GLcore"
(II) Loading /usr/lib/xorg/modules/extensions//libGLcore.so
(II) Module GLcore: vendor="X.Org Foundation"
	compiled for 7.2.0, module version = 1.0.0
	ABI class: X.Org Server Extension, version 0.3
(II) GLX: Initialized MESA-PROXY GL provider for screen 0
(II) RADEON(0): Setting screen physical size to 270 x 203
(**) Option "CoreKeyboard"
(**) Generic Keyboard: always reports core events
(**) Option "Protocol" "standard"
(**) Generic Keyboard: Protocol: standard
(**) Option "AutoRepeat" "500 30"
(**) Option "XkbRules" "xorg"
(**) Generic Keyboard: XkbRules: "xorg"
(**) Option "XkbModel" "pc105"
(**) Generic Keyboard: XkbModel: "pc105"
(**) Option "XkbLayout" "se"
(**) Generic Keyboard: XkbLayout: "se"
(**) Option "CustomKeycodes" "off"
(**) Generic Keyboard: CustomKeycodes disabled
(**) Option "Protocol" "ImPS/2"
(**) Configured Mouse: Device: "/dev/input/mice"
(**) Configured Mouse: Protocol: "ImPS/2"
(**) Option "CorePointer"
(**) Configured Mouse: always reports core events
(**) Option "Device" "/dev/input/mice"
(**) Option "Emulate3Buttons" "true"
(**) Configured Mouse: Emulate3Buttons, Emulate3Timeout: 50
(**) Configured Mouse: ZAxisMapping: buttons 4 and 5
(**) Configured Mouse: Buttons: 9
(**) Configured Mouse: Sensitivity: 1
(II) evaluating device (Configured Mouse)
(II) XINPUT: Adding extended input device "Configured Mouse" (type: MOUSE)
(II) evaluating device (Generic Keyboard)
(II) XINPUT: Adding extended input device "Generic Keyboard" (type: KEYBOARD)
(II) Configured Mouse: ps2EnableDataReporting: succeeded
enable montype: 2
enable montype: 5
enable montype: 2
enable montype: 5
enable montype: 2
enable montype: 5
(II) RADEON(0): DDC Type: 4, Detected Monitor Type: 0
(II) RADEON(0): DDC Type: 5, Detected Monitor Type: 2
(II) RADEON(0): EDID data from the display on connector: Proprietary/LVDS ----------------------
(II) RADEON(0): Manufacturer: LPL  Model: 0  Serial#: 0
(II) RADEON(0): Year: 2005  Week: 0
(II) RADEON(0): EDID Version: 1.2
(II) RADEON(0): Digital Display Input
(II) RADEON(0): Max H-Image Size [cm]: horiz.: 30  vert.: 23
(II) RADEON(0): Gamma: 2.20
(II) RADEON(0): No DPMS capabilities specified; RGB/Color Display
(II) RADEON(0): First detailed timing is preferred mode
(II) RADEON(0): redX: 0.587 redY: 0.343   greenX: 0.320 greenY: 0.529
(II) RADEON(0): blueX: 0.158 blueY: 0.140   whiteX: 0.312 whiteY: 0.328
(II) RADEON(0): Manufacturer's mask: 0
(II) RADEON(0): Supported additional Video Mode:
(II) RADEON(0): clock: 65.0 MHz   Image Size:  304 x 228 mm
(II) RADEON(0): h_active: 1024  h_sync: 1048  h_sync_end 1184 h_blank_end 1344 h_border: 0
(II) RADEON(0): v_active: 768  v_sync: 771  v_sync_end 777 v_blanking: 806 v_border: 0
(II) RADEON(0):  LGPhilipsLCD
(II) RADEON(0):  LP150X09-B2K1
(II) RADEON(0): EDID (in hex):
(II) RADEON(0): 	00ffffffffffff00320c000000000000
(II) RADEON(0): 	000f0102801e17780a72b09657528728
(II) RADEON(0): 	23505400000001010101010101010101
(II) RADEON(0): 	01010101010164190040410026301888
(II) RADEON(0): 	360030e4100000180000000000000000
(II) RADEON(0): 	00000000000000000000000000fe004c
(II) RADEON(0): 	475068696c6970734c43440a000000fe
(II) RADEON(0): 	004c503135305830392d42324b3100dd
in RADEONProbeOutputModes
(II) RADEON(0): EDID for output 0
(II) RADEON(0): Manufacturer: LPL  Model: 0  Serial#: 0
(II) RADEON(0): Year: 2005  Week: 0
(II) RADEON(0): EDID Version: 1.2
(II) RADEON(0): Digital Display Input
(II) RADEON(0): Max H-Image Size [cm]: horiz.: 30  vert.: 23
(II) RADEON(0): Gamma: 2.20
(II) RADEON(0): No DPMS capabilities specified; RGB/Color Display
(II) RADEON(0): First detailed timing is preferred mode
(II) RADEON(0): redX: 0.587 redY: 0.343   greenX: 0.320 greenY: 0.529
(II) RADEON(0): blueX: 0.158 blueY: 0.140   whiteX: 0.312 whiteY: 0.328
(II) RADEON(0): Manufacturer's mask: 0
(II) RADEON(0): Supported additional Video Mode:
(II) RADEON(0): clock: 65.0 MHz   Image Size:  304 x 228 mm
(II) RADEON(0): h_active: 1024  h_sync: 1048  h_sync_end 1184 h_blank_end 1344 h_border: 0
(II) RADEON(0): v_active: 768  v_sync: 771  v_sync_end 777 v_blanking: 806 v_border: 0
(II) RADEON(0):  LGPhilipsLCD
(II) RADEON(0):  LP150X09-B2K1
(II) RADEON(0): EDID (in hex):
(II) RADEON(0): 	00ffffffffffff00320c000000000000
(II) RADEON(0): 	000f0102801e17780a72b09657528728
(II) RADEON(0): 	23505400000001010101010101010101
(II) RADEON(0): 	01010101010164190040410026301888
(II) RADEON(0): 	360030e4100000180000000000000000
(II) RADEON(0): 	00000000000000000000000000fe004c
(II) RADEON(0): 	475068696c6970734c43440a000000fe
(II) RADEON(0): 	004c503135305830392d42324b3100dd
(II) RADEON(0): EDID vendor "LPL", prod id 0
(II) RADEON(0): DDC Type: 4, Detected Monitor Type: 0
(II) RADEON(0): DDC Type: 5, Detected Monitor Type: 2
(II) RADEON(0): EDID data from the display on connector: Proprietary/LVDS ----------------------
(II) RADEON(0): Manufacturer: LPL  Model: 0  Serial#: 0
(II) RADEON(0): Year: 2005  Week: 0
(II) RADEON(0): EDID Version: 1.2
(II) RADEON(0): Digital Display Input
(II) RADEON(0): Max H-Image Size [cm]: horiz.: 30  vert.: 23
(II) RADEON(0): Gamma: 2.20
(II) RADEON(0): No DPMS capabilities specified; RGB/Color Display
(II) RADEON(0): First detailed timing is preferred mode
(II) RADEON(0): redX: 0.587 redY: 0.343   greenX: 0.320 greenY: 0.529
(II) RADEON(0): blueX: 0.158 blueY: 0.140   whiteX: 0.312 whiteY: 0.328
(II) RADEON(0): Manufacturer's mask: 0
(II) RADEON(0): Supported additional Video Mode:
(II) RADEON(0): clock: 65.0 MHz   Image Size:  304 x 228 mm
(II) RADEON(0): h_active: 1024  h_sync: 1048  h_sync_end 1184 h_blank_end 1344 h_border: 0
(II) RADEON(0): v_active: 768  v_sync: 771  v_sync_end 777 v_blanking: 806 v_border: 0
(II) RADEON(0):  LGPhilipsLCD
(II) RADEON(0):  LP150X09-B2K1
(II) RADEON(0): EDID (in hex):
(II) RADEON(0): 	00ffffffffffff00320c000000000000
(II) RADEON(0): 	000f0102801e17780a72b09657528728
(II) RADEON(0): 	23505400000001010101010101010101
(II) RADEON(0): 	01010101010164190040410026301888
(II) RADEON(0): 	360030e4100000180000000000000000
(II) RADEON(0): 	00000000000000000000000000fe004c
(II) RADEON(0): 	475068696c6970734c43440a000000fe
(II) RADEON(0): 	004c503135305830392d42324b3100dd
in RADEONProbeOutputModes
(II) RADEON(0): EDID for output 0
(II) RADEON(0): Manufacturer: LPL  Model: 0  Serial#: 0
(II) RADEON(0): Year: 2005  Week: 0
(II) RADEON(0): EDID Version: 1.2
(II) RADEON(0): Digital Display Input
(II) RADEON(0): Max H-Image Size [cm]: horiz.: 30  vert.: 23
(II) RADEON(0): Gamma: 2.20
(II) RADEON(0): No DPMS capabilities specified; RGB/Color Display
(II) RADEON(0): First detailed timing is preferred mode
(II) RADEON(0): redX: 0.587 redY: 0.343   greenX: 0.320 greenY: 0.529
(II) RADEON(0): blueX: 0.158 blueY: 0.140   whiteX: 0.312 whiteY: 0.328
(II) RADEON(0): Manufacturer's mask: 0
(II) RADEON(0): Supported additional Video Mode:
(II) RADEON(0): clock: 65.0 MHz   Image Size:  304 x 228 mm
(II) RADEON(0): h_active: 1024  h_sync: 1048  h_sync_end 1184 h_blank_end 1344 h_border: 0
(II) RADEON(0): v_active: 768  v_sync: 771  v_sync_end 777 v_blanking: 806 v_border: 0
(II) RADEON(0):  LGPhilipsLCD
(II) RADEON(0):  LP150X09-B2K1
(II) RADEON(0): EDID (in hex):
(II) RADEON(0): 	00ffffffffffff00320c000000000000
(II) RADEON(0): 	000f0102801e17780a72b09657528728
(II) RADEON(0): 	23505400000001010101010101010101
(II) RADEON(0): 	01010101010164190040410026301888
(II) RADEON(0): 	360030e4100000180000000000000000
(II) RADEON(0): 	00000000000000000000000000fe004c
(II) RADEON(0): 	475068696c6970734c43440a000000fe
(II) RADEON(0): 	004c503135305830392d42324b3100dd
(II) RADEON(0): EDID vendor "LPL", prod id 0


-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.23-rc3-lg (PREEMPT)
Locale: LANG=sv_SE.UTF-8, LC_CTYPE=sv_SE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages xserver-xorg-video-ati depends on:
ii  libc6                       2.6.1-1      GNU C Library: Shared libraries
ii  xserver-xorg-core           2:1.3.99.0-2 X.Org X server -- core server

xserver-xorg-video-ati recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#439322; Package xserver-xorg-video-ati. Full text and rfc822 format available.

Acknowledgement sent to "Alex Deucher" <alexdeucher@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: "Alex Deucher" <alexdeucher@gmail.com>
To: "Marcus Better" <marcus@better.se>, 439322@bugs.debian.org
Cc: "Debian Bug Tracking System" <submit@bugs.debian.org>
Subject: Re: Bug#439322: xserver-xorg-video-ati: xrandr does not detect VGA monitor
Date: Fri, 24 Aug 2007 09:56:29 -0400
On 8/24/07, Marcus Better <marcus@better.se> wrote:
> Package: xserver-xorg-video-ati
> Version: 1:6.7.191-1
> Severity: normal
>
> I am trying to enable an external VGA monitor for dual-head on my LG
> LE50 Express laptop (Radeon Xpress 200M), but cannot seem to configure
> it with xrandr:
>
> ~$ xrandr
> Screen 0: minimum 320 x 200, current 1024 x 768, maximum 2048 x 768
> VGA-0 disconnected (normal left inverted right x axis y axis)
> LVDS connected 1024x768+0+0 (normal left inverted right x axis y axis) 0mm x 0mm
>    1024x768       60.0*+
>    800x600        60.3
>    640x480        59.9
> S-video disconnected 800x600+0+0 (normal left inverted right x axis y axis) 0mm x 0mm
>   800x600 (0x4b)   38.2MHz
>         h: width   800 start  832 end  912 total 1024 skew    0 clock   37.4KHz
>         v: height  600 start  603 end  607 total  624           clock   59.9Hz
>
> ~$ xrandr --output VGA-0 --mode 1024x768 --right-of LVDS
> xrandr: cannot find mode 1024x768
>

First make sure you grab the latest version from git, Dave fixed some
issues with the tvdac sharing last night.  The driver was not able to
get any edid info from the VGA port so it does not know what modes to
add.  As such you will have to manually add the modes you want to use
to that output.  You will need the latest release of xrandr (1.2.2) to
do this.

xrandr --addmode VGA-0 1024x768
xrandr --output VGA-0 --mode 1024x768

Alex



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#439322; Package xserver-xorg-video-ati. Full text and rfc822 format available.

Acknowledgement sent to "Alex Deucher" <alexdeucher@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#439322; Package xserver-xorg-video-ati. Full text and rfc822 format available.

Acknowledgement sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 439322@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: 439322@bugs.debian.org, "Marcus Better" <marcus@better.se>
Subject: Bug#439322: xserver-xorg-video-ati: xrandr does not detect VGA monitor
Date: Mon, 27 Aug 2007 11:41:45 +0200
Hi Markus,

ATI driver 6.7.192 has been uploaded to experimental today, it contains
some fixes that Alex talked about earlier. Please report back whether it
helps, and whether Alex' xrandr command lines help.

Thanks,
Brice




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#439322; Package xserver-xorg-video-ati. Full text and rfc822 format available.

Acknowledgement sent to Marcus Better <marcus@better.se>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 439322@bugs.debian.org (full text, mbox):

From: Marcus Better <marcus@better.se>
To: 439322@bugs.debian.org
Cc: Brice.Goglin@ens-lyon.org
Subject: Bug#439322: xserver-xorg-video-ati: xrandr does not detect VGA monitor
Date: Mon, 27 Aug 2007 13:01:18 +0200
[Message part 1 (text/plain, inline)]
Hi,

there are no differences as far as I can see in version 6.7.192-1. The xrandr 
commands give me:

~$ xrandr --addmode VGA-0 1024x768
~$ xrandr
Screen 0: minimum 320 x 200, current 1024 x 768, maximum 2048 x 768
VGA-0 disconnected (normal left inverted right x axis y axis)
   1024x768       60.0
LVDS connected 1024x768+0+0 (normal left inverted right x axis y axis) 0mm x 
0mm
   1024x768       60.0*+
   800x600        60.3
   640x480        59.9
S-video connected 800x600+0+0 (normal left inverted right x axis y axis) 0mm x 
0mm
   800x600        59.9*+   60.3
~$ xrandr --output VGA-0 --mode 1024x768
xrandr: cannot find crtc for output VGA-0
~$ xrandr -v
Server reports RandR version 1.2

But perhaps my xrandr version is too old. WIll 1.2.2 it be available in the 
archive anytime soon?

Marcus
[Xorg.0.log (text/x-log, attachment)]

Bug marked as found in version 1:6.7.192-1. Request was from Marcus Better <marcus@better.se> to control@bugs.debian.org. (Mon, 27 Aug 2007 11:15:01 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#439322; Package xserver-xorg-video-ati. Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #32 received at 439322@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Marcus Better <marcus@better.se>, 439322@bugs.debian.org
Subject: Re: Bug#439322: xserver-xorg-video-ati: xrandr does not detect VGA monitor
Date: Mon, 27 Aug 2007 13:20:03 +0200
On Mon, Aug 27, 2007 at 13:01:18 +0200, Marcus Better wrote:

> But perhaps my xrandr version is too old. WIll 1.2.2 it be available in the 
> archive anytime soon?
> 
Hi Marcus,

it's in x11-xserver-utils in experimental.

Cheers,
Julien



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#439322; Package xserver-xorg-video-ati. Full text and rfc822 format available.

Acknowledgement sent to "Dave Airlie" <airlied@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #37 received at 439322@bugs.debian.org (full text, mbox):

From: "Dave Airlie" <airlied@gmail.com>
To: "Marcus Better" <marcus@better.se>, 439322@bugs.debian.org
Cc: Brice.Goglin@ens-lyon.org
Subject: Re: Bug#439322: xserver-xorg-video-ati: xrandr does not detect VGA monitor
Date: Mon, 27 Aug 2007 22:38:34 +1000
On 8/27/07, Marcus Better <marcus@better.se> wrote:
> Hi,
>
> there are no differences as far as I can see in version 6.7.192-1. The xrandr
> commands give me:
>
> ~$ xrandr --addmode VGA-0 1024x768
> ~$ xrandr
> Screen 0: minimum 320 x 200, current 1024 x 768, maximum 2048 x 768
> VGA-0 disconnected (normal left inverted right x axis y axis)
>    1024x768       60.0
> LVDS connected 1024x768+0+0 (normal left inverted right x axis y axis) 0mm x
> 0mm
>    1024x768       60.0*+
>    800x600        60.3
>    640x480        59.9
> S-video connected 800x600+0+0 (normal left inverted right x axis y axis) 0mm x
> 0mm
>    800x600        59.9*+   60.3
> ~$ xrandr --output VGA-0 --mode 1024x768
> xrandr: cannot find crtc for output VGA-0
> ~$ xrandr -v
> Server reports RandR version 1.2
>
> But perhaps my xrandr version is too old. WIll 1.2.2 it be available in the
> archive anytime soon?

it might worth trying to add an
xrandr --output S-video --off

Dave.
>
> Marcus
>
> _______________________________________________
> xorg-driver-ati mailing list
> xorg-driver-ati@lists.x.org
> http://lists.x.org/mailman/listinfo/xorg-driver-ati
>
>
>



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#439322; Package xserver-xorg-video-ati. Full text and rfc822 format available.

Acknowledgement sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #42 received at 439322@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: Marcus Better <marcus@better.se>
Cc: 439322@bugs.debian.org
Subject: Re: Bug#439322: xserver-xorg-video-ati: xrandr does not detect VGA monitor
Date: Mon, 27 Aug 2007 14:41:43 +0200
Marcus Better wrote:
> ~$ xrandr --addmode VGA-0 1024x768
>   

No error? So your xrandr looks recent enough.

> ~$ xrandr
> Screen 0: minimum 320 x 200, current 1024 x 768, maximum 2048 x 768
> VGA-0 disconnected (normal left inverted right x axis y axis)
>    1024x768       60.0
>   

The mode you added above is available now.

> ~$ xrandr --output VGA-0 --mode 1024x768
> xrandr: cannot find crtc for output VGA-0
>   

That's probably a bug.

> ~$ xrandr -v
> Server reports RandR version 1.2
>   

This is the RandR extension version supported by the server, not the
xrandr program version. I don't see how to get the program version from
the command line, apart from looking in
/usr/share/doc/xbase-clients/changelog.gz (or
...../x11-xserver-utils/changelog.gz).

> But perhaps my xrandr version is too old. WIll 1.2.2 it be available in the 
> archive anytime soon?
>   
It's already available in experimental in x11-xserver-utils (packages
are at ftp://ftp.debian.org/debian/pool/main/x/x11-xserver-utils) and
will be in unstable soon. Being in experimental does not mean "very
risky" here, it only means that the packaging changed a lot
(xbase-clients is split into multiple pieces) and had to be done
somewhere for testing before entering unstable.

Since you don't get any error when using --addmode, I guess you're
already running xrandr >= 1.2.1. Version 1.2.2 does not bring many
improvements.

Brice




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#439322; Package xserver-xorg-video-ati. Full text and rfc822 format available.

Acknowledgement sent to Marcus Better <marcus@better.se>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #47 received at 439322@bugs.debian.org (full text, mbox):

From: Marcus Better <marcus@better.se>
To: Dave Airlie <airlied@gmail.com>
Cc: 439322@bugs.debian.org
Subject: Bug#439322: xserver-xorg-video-ati: xrandr does not detect VGA monitor
Date: Mon, 27 Aug 2007 15:01:23 +0200
Dave Airlie wrote:
> it might worth trying to add anem
> xrandr --output S-video --off

Yes, that did help! The monitor went on after giving the xrandr --mode 
command. It now also detects the other modes:

~$ xrandr
Screen 0: minimum 320 x 200, current 1024 x 768, maximum 2048 x 768
VGA-0 connected 1024x768+0+0 (normal left inverted right x axis y axis) 0mm x 
0mm
   1280x768       60.0
   1024x768       60.0*    60.0*
   800x600        60.3
   640x480        59.9
LVDS connected 1024x768+0+0 (normal left inverted right x axis y axis) 0mm x 
0mm
   1024x768       60.0*+
   800x600        60.3
   640x480        59.9
S-video disconnected (normal left inverted right x axis y axis)

Marcus



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#439322; Package xserver-xorg-video-ati. Full text and rfc822 format available.

Acknowledgement sent to "Alex Deucher" <alexdeucher@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #52 received at 439322@bugs.debian.org (full text, mbox):

From: "Alex Deucher" <alexdeucher@gmail.com>
To: "Marcus Better" <marcus@better.se>, 439322@bugs.debian.org
Cc: Brice.Goglin@ens-lyon.org
Subject: Re: Bug#439322: xserver-xorg-video-ati: xrandr does not detect VGA monitor
Date: Mon, 27 Aug 2007 09:51:06 -0400
On 8/27/07, Marcus Better <marcus@better.se> wrote:
> Hi,
>
> there are no differences as far as I can see in version 6.7.192-1. The xrandr
> commands give me:
>
> ~$ xrandr --addmode VGA-0 1024x768
> ~$ xrandr
> Screen 0: minimum 320 x 200, current 1024 x 768, maximum 2048 x 768
> VGA-0 disconnected (normal left inverted right x axis y axis)
>    1024x768       60.0
> LVDS connected 1024x768+0+0 (normal left inverted right x axis y axis) 0mm x
> 0mm
>    1024x768       60.0*+
>    800x600        60.3
>    640x480        59.9
> S-video connected 800x600+0+0 (normal left inverted right x axis y axis) 0mm x
> 0mm
>    800x600        59.9*+   60.3
> ~$ xrandr --output VGA-0 --mode 1024x768
> xrandr: cannot find crtc for output VGA-0
> ~$ xrandr -v
> Server reports RandR version 1.2
>

You only have two crtcs and you are trying to enable more than two
outputs.  turn off tv if you want to enable VGA.

xrandr --output S-video --off

Alex



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#439322; Package xserver-xorg-video-ati. Full text and rfc822 format available.

Acknowledgement sent to Marcus Better <marcus@better.se>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #57 received at 439322@bugs.debian.org (full text, mbox):

From: Marcus Better <marcus@better.se>
To: alexdeucher@gmail.com
Cc: 439322@bugs.debian.org
Subject: Bug#439322: xserver-xorg-video-ati: xrandr does not detect VGA monitor
Date: Mon, 27 Aug 2007 16:55:41 +0200
Alex Deucher wrote:
> You only have two crtcs and you are trying to enable more than two
> outputs.  turn off tv if you want to enable VGA.

Yes, that helps, but why is it enabling S-video in the first place? I don't 
have anything connected there.

Marcus



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#439322; Package xserver-xorg-video-ati. Full text and rfc822 format available.

Acknowledgement sent to "Alex Deucher" <alexdeucher@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #62 received at 439322@bugs.debian.org (full text, mbox):

From: "Alex Deucher" <alexdeucher@gmail.com>
To: "Marcus Better" <marcus@better.se>
Cc: 439322@bugs.debian.org
Subject: Re: Bug#439322: xserver-xorg-video-ati: xrandr does not detect VGA monitor
Date: Mon, 27 Aug 2007 11:10:28 -0400
On 8/27/07, Marcus Better <marcus@better.se> wrote:
> Alex Deucher wrote:
> > You only have two crtcs and you are trying to enable more than two
> > outputs.  turn off tv if you want to enable VGA.
>
> Yes, that helps, but why is it enabling S-video in the first place? I don't
> have anything connected there.

Your computer shares the tvdac between the vga port and the tv, since
they share a dac, load detection for either can result in false
positives for the other.  I think I'll probably just disable load
detection for tv for all radeons where it is not dedicated as several
people have run into this.

Alex



Changed Bug title to `xserver-xorg-video-ati: wrongly detects TV connected on Xpress 200M, causing VGA to miss a CRTC' from `xserver-xorg-video-ati: xrandr does not detect VGA monitor'. Request was from Brice Goglin <bgoglin@debian.org> to control@bugs.debian.org. (Tue, 28 Aug 2007 06:30:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#439322; Package xserver-xorg-video-ati. Full text and rfc822 format available.

Acknowledgement sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #69 received at 439322@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: Marcus Better <marcus@better.se>, 439322@bugs.debian.org
Subject: Bug#439322: xserver-xorg-video-ati: xrandr does not detect VGA monitor
Date: Tue, 28 Aug 2007 09:02:51 +0200
On Mon, Aug 27, 2007 at 04:55:41PM +0200, Marcus Better wrote:
> Alex Deucher wrote:
> > You only have two crtcs and you are trying to enable more than two
> > outputs.  turn off tv if you want to enable VGA.
> 
> Yes, that helps, but why is it enabling S-video in the first place? I don't 
> have anything connected there.

Note that it might be possible to avoid having to call xrandr everytime
you start X by changing your xorg.conf.

Try adding
    Option "monitor-S-video" "TV Monitor"
to your Device section and add the following section
  Section "Monitor"
    Identifier "TV Monitor"
    Option "Ignore" "true"
  EndSection

Brice



Tags added: fixed-upstream Request was from Brice Goglin <bgoglin@debian.org> to control@bugs.debian.org. (Tue, 28 Aug 2007 07:48:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#439322; Package xserver-xorg-video-ati. Full text and rfc822 format available.

Acknowledgement sent to Marcus Better <marcus@better.se>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #76 received at 439322@bugs.debian.org (full text, mbox):

From: Marcus Better <marcus@better.se>
To: 439322@bugs.debian.org
Subject: Bug#439322: xserver-xorg-video-ati: xrandr does not detect VGA monitor
Date: Wed, 29 Aug 2007 09:29:16 +0200
The "monitor-S-video" option didn't work. I just got 

(II) RADEON(0): Output S-video using monitor section TV Monitor
(**) RADEON(0): Option "Ignore" "true"
(II) UnloadModule: "ati"
(II) UnloadModule: "int10"
(II) Unloading /usr/lib/xorg/modules//libint10.so
(II) UnloadModule: "vgahw"
(II) Unloading /usr/lib/xorg/modules//libvgahw.so
(II) UnloadModule: "radeon"
(EE) Screen(s) found, but none have a usable configuration.

Also the list of modes detected for the VGA monitor is missing the natural 
1280x1024 mode:

~$ xrandr
Screen 0: minimum 320 x 200, current 1024 x 768, maximum 2304 x 1024
VGA-0 connected (normal left inverted right x axis y axis)
   1280x800       60.0
   1280x768       60.0
   1024x768       60.0
   800x600        60.3
   640x480        59.9
LVDS connected 1024x768+0+0 (normal left inverted right x axis y axis) 0mm x 
0mm
   1024x768       60.0*+
   800x600        60.3
   640x480        59.9
S-video disconnected (normal left inverted right x axis y axis)

This is an LG L1950SQ, a 19" LCD monitor, that supports 1280x1024. 

Marcus



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#439322; Package xserver-xorg-video-ati. Full text and rfc822 format available.

Acknowledgement sent to "Alex Deucher" <alexdeucher@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #81 received at 439322@bugs.debian.org (full text, mbox):

From: "Alex Deucher" <alexdeucher@gmail.com>
To: "Marcus Better" <marcus@better.se>, 439322@bugs.debian.org
Subject: Re: Bug#439322: xserver-xorg-video-ati: xrandr does not detect VGA monitor
Date: Wed, 29 Aug 2007 09:49:52 -0400
On 8/29/07, Marcus Better <marcus@better.se> wrote:
> The "monitor-S-video" option didn't work. I just got
>
> (II) RADEON(0): Output S-video using monitor section TV Monitor
> (**) RADEON(0): Option "Ignore" "true"
> (II) UnloadModule: "ati"
> (II) UnloadModule: "int10"
> (II) Unloading /usr/lib/xorg/modules//libint10.so
> (II) UnloadModule: "vgahw"
> (II) Unloading /usr/lib/xorg/modules//libvgahw.so
> (II) UnloadModule: "radeon"
> (EE) Screen(s) found, but none have a usable configuration.
>
> Also the list of modes detected for the VGA monitor is missing the natural
> 1280x1024 mode:
>

I suspect the driver is not able to get an edid for the monitor.  If
it doesn't get one, it'll just end up getting the default modes.  you
can use xrandr to manually add a mode:

xrandr --addmode VGA-0 1280x1024

regarding the edid, two factors could be at work.  Either we are using
the wrong ddc line or we need to adjust the i2c timing a bit.

Alex



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#439322; Package xserver-xorg-video-ati. Full text and rfc822 format available.

Acknowledgement sent to "Marcus Better" <marcus@better.se>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #86 received at 439322@bugs.debian.org (full text, mbox):

From: "Marcus Better" <marcus@better.se>
To: "Alex Deucher" <alexdeucher@gmail.com>
Cc: 439322@bugs.debian.org
Subject: Re: Bug#439322: xserver-xorg-video-ati: xrandr does not detect VGA monitor
Date: Wed, 29 Aug 2007 16:03:53 +0200 (CEST)
Alex Deucher wrote:
> xrandr --addmode VGA-0 1280x1024

Tried that:

~$ xrandr --addmode VGA-0 1280x1024
xrandr: cannot find mode "1280x1024"

The X server log (see earlier messages) contains some EDID data...

Regards,

Marcus





Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#439322; Package xserver-xorg-video-ati. Full text and rfc822 format available.

Acknowledgement sent to "Alex Deucher" <alexdeucher@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #91 received at 439322@bugs.debian.org (full text, mbox):

From: "Alex Deucher" <alexdeucher@gmail.com>
To: "Marcus Better" <marcus@better.se>
Cc: 439322@bugs.debian.org
Subject: Re: Bug#439322: xserver-xorg-video-ati: xrandr does not detect VGA monitor
Date: Wed, 29 Aug 2007 10:11:23 -0400
On 8/29/07, Marcus Better <marcus@better.se> wrote:
> Alex Deucher wrote:
> > xrandr --addmode VGA-0 1280x1024
>
> Tried that:
>
> ~$ xrandr --addmode VGA-0 1280x1024
> xrandr: cannot find mode "1280x1024"
>

try adding 1280x1024 to the modes line in the screen section of your
config. you can also use xrandr --newmode to add a new mode to the
server.

> The X server log (see earlier messages) contains some EDID data...
>

was it for the LVDS or the monitor?  I can't seem to find your old
log.  I'll try and adjust the ddc i2c timing tonight.

Alex



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#439322; Package xserver-xorg-video-ati. Full text and rfc822 format available.

Acknowledgement sent to "Marcus Better" <marcus@better.se>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #96 received at 439322@bugs.debian.org (full text, mbox):

From: "Marcus Better" <marcus@better.se>
To: "Alex Deucher" <alexdeucher@gmail.com>
Cc: "Marcus Better" <marcus@better.se>, 439322@bugs.debian.org
Subject: Re: Bug#439322: xserver-xorg-video-ati: xrandr does not detect VGA monitor
Date: Wed, 29 Aug 2007 16:35:14 +0200 (CEST)
[Message part 1 (text/plain, inline)]
Alex Deucher wrote:
>> The X server log (see earlier messages) contains some EDID data...

> was it for the LVDS or the monitor?  I can't seem to find your old
> log.

Attached.

Marcus
[Xorg.0.log (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#439322; Package xserver-xorg-video-ati. Full text and rfc822 format available.

Acknowledgement sent to "Alex Deucher" <alexdeucher@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #101 received at 439322@bugs.debian.org (full text, mbox):

From: "Alex Deucher" <alexdeucher@gmail.com>
To: "Marcus Better" <marcus@better.se>
Cc: 439322@bugs.debian.org
Subject: Re: Bug#439322: xserver-xorg-video-ati: xrandr does not detect VGA monitor
Date: Wed, 29 Aug 2007 10:46:28 -0400
On 8/29/07, Marcus Better <marcus@better.se> wrote:
> Alex Deucher wrote:
> >> The X server log (see earlier messages) contains some EDID data...
>
> > was it for the LVDS or the monitor?  I can't seem to find your old
> > log.
>

That edid is from your LVDS panel, not the vga monitor.

Alex



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#439322; Package xserver-xorg-video-ati. Full text and rfc822 format available.

Acknowledgement sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #106 received at 439322@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: Marcus Better <marcus@better.se>, 439322@bugs.debian.org
Subject: Re: Bug#439322: xserver-xorg-video-ati: xrandr does not detect VGA monitor
Date: Wed, 29 Aug 2007 22:14:13 +0200
Marcus Better wrote:
> The "monitor-S-video" option didn't work. I just got 
>
> (II) RADEON(0): Output S-video using monitor section TV Monitor
> (**) RADEON(0): Option "Ignore" "true"
> (II) UnloadModule: "ati"
> (II) UnloadModule: "int10"
> (II) Unloading /usr/lib/xorg/modules//libint10.so
> (II) UnloadModule: "vgahw"
> (II) Unloading /usr/lib/xorg/modules//libvgahw.so
> (II) UnloadModule: "radeon"
> (EE) Screen(s) found, but none have a usable configuration.
>   

Maybe the server doesn't like having a Monitor-S-video option without
the same for other outputs, it thinks only this monitor should be used
but fails because of the "ignore" option.

You should try adding similar monitor-VGA-0 and monitor-LVDS options and
new Monitor sections for VGA-0 and LVDS (only an identifier is required,
and of course you don't want an ignore option there).

Brice




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#439322; Package xserver-xorg-video-ati. Full text and rfc822 format available.

Acknowledgement sent to "Marcus Better" <marcus@better.se>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #111 received at 439322@bugs.debian.org (full text, mbox):

From: "Marcus Better" <marcus@better.se>
To: "Brice Goglin" <Brice.Goglin@ens-lyon.org>
Cc: 439322@bugs.debian.org
Subject: Re: Bug#439322: xserver-xorg-video-ati: xrandr does not detect VGA monitor
Date: Thu, 30 Aug 2007 09:17:12 +0200 (CEST)
Brice Goglin wrote:
>> (EE) Screen(s) found, but none have a usable configuration.

> You should try adding similar monitor-VGA-0 and monitor-LVDS options and
> new Monitor sections for VGA-0 and LVDS

Doesn't seem to help. (I wasn't sure if the new Monitor sections should be
added to the Screen, but tried both ways.)

Marcus





Bug marked as found in version 1:6.7.192-3. Request was from Marcus Better <marcus@better.se> to control@bugs.debian.org. (Wed, 12 Sep 2007 13:39:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#439322; Package xserver-xorg-video-ati. Full text and rfc822 format available.

Acknowledgement sent to Marcus Better <marcus@better.se>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #118 received at 439322@bugs.debian.org (full text, mbox):

From: Marcus Better <marcus@better.se>
To: 439322@bugs.debian.org
Subject: xserver-xorg-video-ati: wrongly detects TV connected on Xpress 200M, causing VGA to miss a CRTC
Date: Tue, 18 Sep 2007 10:31:03 +0200
[Message part 1 (text/plain, inline)]
Hi,

I am now using 1:6.7.192-4. It behaves differently when I have the VGA monitor 
connected. The S-video output is no longer marked as "connected", but 
unfortunately neither is the VGA monitor, and I cannot seem to enable it at 
all.

~$ xrandr
Screen 0: minimum 320 x 200, current 1024 x 768, maximum 2304 x 1024
VGA-0 disconnected (normal left inverted right x axis y axis)
LVDS connected 1024x768+0+0 (normal left inverted right x axis y axis) 0mm x 
0mm
   1024x768       60.0*+
   800x600        60.3
   640x480        59.9
S-video disconnected (normal left inverted right x axis y axis)
~$ xrandr --addmode VGA-0 1280x1024
xrandr: cannot find mode "1280x1024"
~$ xrandr --output VGA-0 --mode 1280x1024
xrandr: cannot find mode 1280x1024

(I have tried with and without a "monitor-VGA-0" section with an explicit mode 
line.)

Marcus
[Xorg.0.log (text/x-log, attachment)]
[xorg.conf (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#439322; Package xserver-xorg-video-ati. Full text and rfc822 format available.

Acknowledgement sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #123 received at 439322@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: Marcus Better <marcus@better.se>, 439322@bugs.debian.org
Subject: Re: Bug#439322: xserver-xorg-video-ati: wrongly detects TV connected on Xpress 200M, causing VGA to miss a CRTC
Date: Tue, 18 Sep 2007 18:24:24 +0200
Marcus Better wrote:
> Hi,
>
> I am now using 1:6.7.192-4. It behaves differently when I have the VGA monitor 
> connected. The S-video output is no longer marked as "connected", but 
> unfortunately neither is the VGA monitor, and I cannot seem to enable it at 
> all.
>
> ~$ xrandr
> Screen 0: minimum 320 x 200, current 1024 x 768, maximum 2304 x 1024
> VGA-0 disconnected (normal left inverted right x axis y axis)
> LVDS connected 1024x768+0+0 (normal left inverted right x axis y axis) 0mm x 
> 0mm
>    1024x768       60.0*+
>    800x600        60.3
>    640x480        59.9
> S-video disconnected (normal left inverted right x axis y axis)
> ~$ xrandr --addmode VGA-0 1280x1024
> xrandr: cannot find mode "1280x1024"
> ~$ xrandr --output VGA-0 --mode 1280x1024
> xrandr: cannot find mode 1280x1024
>   

Could you test the latest upstream git snapshot? Or just find me some
time to upload a new snapshot to experimental :)

Brice





Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#439322; Package xserver-xorg-video-ati. Full text and rfc822 format available.

Acknowledgement sent to Marcus Better <marcus@better.se>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #128 received at 439322@bugs.debian.org (full text, mbox):

From: Marcus Better <marcus@better.se>
To: 439322@bugs.debian.org
Cc: control@bugs.debian.org
Subject: xserver-xorg-video-ati: wrongly detects TV connected on Xpress 200M, causing VGA to miss a CRTC
Date: Wed, 19 Sep 2007 13:04:41 +0200
tag 439322 upstream fixed-upstream
tag 443151 fixed-upstream
thanks

This works with the latest upstream git tree (and same for #443151). Thanks!

Marcus




Tags added: upstream, fixed-upstream Request was from Marcus Better <marcus@better.se> to control@bugs.debian.org. (Wed, 19 Sep 2007 11:24:04 GMT) Full text and rfc822 format available.

Reply sent to Brice Goglin <bgoglin@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Marcus Better <marcus@better.se>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #135 received at 439322-close@bugs.debian.org (full text, mbox):

From: Brice Goglin <bgoglin@debian.org>
To: 439322-close@bugs.debian.org
Subject: Bug#439322: fixed in xserver-xorg-video-ati 1:6.7.193-1
Date: Thu, 20 Sep 2007 06:02:02 +0000
Source: xserver-xorg-video-ati
Source-Version: 1:6.7.193-1

We believe that the bug you reported is fixed in the latest version of
xserver-xorg-video-ati, which is due to be installed in the Debian FTP archive:

xserver-xorg-video-ati-dbg_6.7.193-1_i386.deb
  to pool/main/x/xserver-xorg-video-ati/xserver-xorg-video-ati-dbg_6.7.193-1_i386.deb
xserver-xorg-video-ati_6.7.193-1.diff.gz
  to pool/main/x/xserver-xorg-video-ati/xserver-xorg-video-ati_6.7.193-1.diff.gz
xserver-xorg-video-ati_6.7.193-1.dsc
  to pool/main/x/xserver-xorg-video-ati/xserver-xorg-video-ati_6.7.193-1.dsc
xserver-xorg-video-ati_6.7.193-1_i386.deb
  to pool/main/x/xserver-xorg-video-ati/xserver-xorg-video-ati_6.7.193-1_i386.deb
xserver-xorg-video-ati_6.7.193.orig.tar.gz
  to pool/main/x/xserver-xorg-video-ati/xserver-xorg-video-ati_6.7.193.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 439322@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Brice Goglin <bgoglin@debian.org> (supplier of updated xserver-xorg-video-ati package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 20 Sep 2007 07:34:02 +0200
Source: xserver-xorg-video-ati
Binary: xserver-xorg-video-ati-dbg xserver-xorg-video-ati
Architecture: source i386
Version: 1:6.7.193-1
Distribution: experimental
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Brice Goglin <bgoglin@debian.org>
Description: 
 xserver-xorg-video-ati - X.Org X server -- ATI display driver
 xserver-xorg-video-ati-dbg - X.Org X server -- ATI display driver (debugging symbols)
Closes: 435114 439322 443151
Changes: 
 xserver-xorg-video-ati (1:6.7.193-1) experimental; urgency=low
 .
   * New upstream release candidate.
     + Fix distortion after lid close/reopen, closes: #435114.
     + Stop wrongly detecting the TV-output as connected, closes: #439322.
     + Fix outputs after VT switch, closes: #443151.
Files: 
 efba844ab3dd142c97536cee15fd247e 1267 x11 optional xserver-xorg-video-ati_6.7.193-1.dsc
 cf4d3f62d9e8f05e706a6cbe599f9513 988251 x11 optional xserver-xorg-video-ati_6.7.193.orig.tar.gz
 a3306952f2703567ef227df99dd126dc 108480 x11 optional xserver-xorg-video-ati_6.7.193-1.diff.gz
 32a63dfcc5024af6b902e6de82ad92a9 400850 x11 optional xserver-xorg-video-ati_6.7.193-1_i386.deb
 9e31bba8d9ef9245a2bf232c51ef5b3f 1741296 x11 extra xserver-xorg-video-ati-dbg_6.7.193-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFG8gl+Rh88F8PcWfoRAm7oAJ42sllu9udEkqyIL/9vegSvfssklACgnMYN
qgU3xCmKwIeES20ibxP02Kk=
=JLyA
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 18 Oct 2007 07:26:37 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Ken Bloom <kbloom@gmail.com> to control@bugs.debian.org. (Sun, 25 Nov 2007 19:18:04 GMT) Full text and rfc822 format available.

Bug archived. Request was from Ken Bloom <kbloom@gmail.com> to control@bugs.debian.org. (Sun, 25 Nov 2007 19:18:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 12:49:49 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.